input_ff_upload
Prev | Chapter 28. Input Subsystem | Next

## Name

input_ff_upload — upload effect into force-feedback device

## Synopsis

`int input_ff_upload (` | struct input_dev * | dev,
| struct ff_effect * | effect,
| struct file * | file`)`;

## Arguments

`dev`

  input device

`effect`

  effect to be uploaded

`file`

  owner of the effect

Prev | Up | Next
input_unregister_handle | Home | input_ff_erase